Get Contact by External ID
curl --request GET \
--url https://api.telli.com/v1/get-contact-by-external-id/{external_contact_id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.telli.com/v1/get-contact-by-external-id/{external_contact_id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.telli.com/v1/get-contact-by-external-id/{external_contact_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contact_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"external_contact_id": "<string>",
"external_url": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"in_call_since": "2023-11-07T05:31:56Z",
"reached_at": "2023-11-07T05:31:56Z",
"call_attempts": 123,
"next_call_at": "2023-11-07T05:31:56Z",
"auto_dialer_status": "in_dialer"
}Deprecated Contact Endpoints
Get Contact by External ID
Retrieves detailed contact information including current call status and history using external contact id as an identifier
GET
/
v1
/
get-contact-by-external-id
/
{external_contact_id}
Get Contact by External ID
This endpoint is deprecated. Use Get Contact by External ID instead. See the Migration Guide for details.
Authorizations
API key must be provided as: Bearer <api_key>
Path Parameters
The telli contact ID
Response
200 - application/json
Contact details retrieved successfully
The telli contact ID
Your unique internal identifier for the contact
External URL linking to the contact in your CRM or external system
When the contact was created
Timestamp of when current call started, null if not in call
When the contact was last successfully reached
Number of call attempts made to this contact
When the next call is scheduled, null if no call scheduled
Whether the contact is currently enrolled in the auto dialer. Matches the status field of the auto_dialer_status_changed webhook.
Available options:
in_dialer, not_in_dialer Was this page helpful?